# hihack


To install dependencies, run

`conda env create -f env_config.yaml`

Next the hacked versions of NLE (supporting the writing of hierarchical labels), as well as the 
rendering and model declaration functionality of the code accompanying the 
"Dungeons and Data: A Large-Scale NetHack Dataset" (Hambro et al. 2021) must be installed via 
the sequence of steps below.

```
cd nle
pip install -e . && cd ..
conda install cmake
pip install git+ssh://git@github.com/facebookresearch/moolib
cd dungeonsdata-neurips2022/experiment_code
cd render_utils && pip install -e . && cd ..
pip install -e .

```

In running our experiments, we add a suite of hierarchical modifications to the `moolib`-based
experiment code written by Hambro et al., the original version of which can be found at 
`dungeonsdata-neurips2021/experiment_code/hackrl/experiment.py`.

We omit release of the HiHack dataset here. This dataset (as well as complete, runnable versions 
of our training code) will be release publically following the conclusion of the NeurIPS review 
process.

The specifications of all novel models introduced in the paper can be found within `models/`.

To see a specification of the ChaoticDwarvenGPT5 model (i.e. the "pure LSTM" baseline evaluated
against in the paper), please refer to 
`dungeonsdata-neurips2021/experiment_code/hackrl/models/chaotic_dwarf.py`.